# Class bot.Error

code »

    Error
      └ bot.Error

Error extension that includes error status codes from the WebDriver wire protocol: http://code.google.com/p/selenium/wiki/JsonWireProtocol#Response_Status_Codes

## Constructor

bot.Error ( code, opt_message )

Parameters

code: `!bot.ErrorCode`
  The error's status code.
opt_message: `string=`
  Optional error message.

## Enumerations

bot.Error.State
  Status strings enumerated in the W3C WebDriver working draft.

Show:PublicProtectedPrivate

## Instance Methods

### Defined in `bot.Error`

code » toString ( ) ⇒ `string`

Returns

he string representation of this error.

## Instance Properties

### Defined in `bot.Error`

code » isAutomationError : `boolean`

Flag used for duck-typing when this code is embedded in a Firefox extension. This is required since an Error thrown in one component and then reported to another will fail instanceof checks in the second component.

code » state : `string`

## Static Properties

code » bot.Error.CODE_TO_STATE_ : `!Object.<bot.ErrorCode, bot.Error.State>`

A map of error codes to state string.

code » bot.Error.superClass_ : `Error.prototype`